org.vertx.java.core.impl

## Class DefaultVertxFactory

- java.lang.Object
- - org.vertx.java.core.impl.DefaultVertxFactory

All Implemented Interfaces:
  VertxFactory

    public class DefaultVertxFactory
    extends java.lang.Object
    implements VertxFactory

### Constructor Summary

Constructors
Constructor and Description
`DefaultVertxFactory()`

### Method Summary

Methods
`Vertx` `createVertx()`
`Vertx` `createVertx(int port, java.lang.String hostname)`
`Vertx` `createVertx(java.lang.String hostname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultVertxFactory

    public DefaultVertxFactory()

### Method Detail

#### createVertx

    public Vertx createVertx()

Specified by:
  `createVertx` in interface `VertxFactory`

#### createVertx

    public Vertx createVertx(java.lang.String hostname)

Specified by:
  `createVertx` in interface `VertxFactory`

#### createVertx

    public Vertx createVertx(int port,
                    java.lang.String hostname)

Specified by:
  `createVertx` in interface `VertxFactory`